Why Does my Upgrade to Ansible Tower 3.5 from 3.3.x fail with "RuntimeError: dictionary changed size during iteration"?

Solution In Progress - Updated -

Issue

Currently, when upgrading to Ansible Tower 3.5.x from 3.3.x, users may experience the RuntimeError: dictionary changed size during iteration Python error if their previous environment had a custom AUTH_LDAP_GROUP_TYPE.

Environment

  • Ansible Tower 3.3.x
  • Ansible Tower 3.5.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In